# synced with rh-3.3.1-1

%define dev_lock /var/lock/subsys/dev
%define makedev_lock /var/lock/subsys/makedev

Summary:	A program used for creating the device files in /dev
Name:		makedev
Version:	4.4
Release:	%mkrel 29
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/makedev/
Source:		%{name}-%{version}.tar.bz2
Patch0:		makedev-4.4-use-mknodat.patch
Requires:	shadow-utils
Requires:	coreutils
Requires:	mktemp
Requires:	bash
Requires:	perl-base
BuildArch:	noarch
# coreutils => /bin/mkdir

%description
This package contains the makedev program, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files
correspond to a particular device supported by Linux (serial or printer
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives,
etc.) and interface with the drivers in the kernel.

The makedev package is a basic part of your Mageia system and it needs
to be installed.

%prep
%setup -q
%autopatch -p1

# Fix warnings coming from rpm because of VERSION is read from makedev.spec
sed -i -e 's/\(^VERSION\s\+:=\s\+\).*/\1%{version}/' Makefile

%build
# Generate the config scripts
%make_build

%install
%make_install

%posttrans
/usr/sbin/useradd -c "virtual console memory owner" -u 69 \
  -s /sbin/nologin -r -d /dev vcsa 2> /dev/null || :

# If /dev is a devtmpfs, we don't need to do anything
if ! df /dev | grep -q /dev$ || ! mount | grep -q ' /dev type devtmpfs '; then
	DEV_DIR=/dev
	mkdir -p $DEV_DIR/{pts,shm}
     [ -L $DEV_DIR/snd ] && rm -f $DEV_DIR/snd
	/sbin/makedev $DEV_DIR

	# race 
	while [ ! -c $DEV_DIR/null ]; do
		rm -f $DEV_DIR/null
		mknod -m 0666 $DEV_DIR/null c 1 3
		chown root.root $DEV_DIR/null
	done

	[ -x /sbin/pam_console_apply ] && /sbin/pam_console_apply &>/dev/null
fi
:

%files
%defattr(644,root,root,755)
%doc COPYING devices.txt README
%{_mandir}/*/*
%attr(755,root,root) /sbin/%{name}
%dir %{_sysconfdir}/makedev.d/
%config(noreplace) %{_sysconfdir}/makedev.d/*
%dir /dev


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 4.4-29.mga10
+ Revision: 2221903
- Mageia 10 Mass Rebuild

* Thu Apr 04 2024 wally <wally> 4.4-28.mga10
+ Revision: 2054416
- rebuild for i686

* Mon Mar 21 2022 umeabot <umeabot> 4.4-27.mga9
+ Revision: 1811977
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 4.4-26.mga8
+ Revision: 1536323
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Remove manual mknod, /dev/*random are already created when the script runs

* Wed Oct 16 2019 pterjan <pterjan> 4.4-25.mga8
+ Revision: 1453936
- Create devices in posttrans (alternative would be to mark everything as Requires(post), but I don't think any other package depending on makedev expects it to create devices)

* Tue Sep 10 2019 tmb <tmb> 4.4-24.mga8
+ Revision: 1439513
- add nodes for (u)random
+ tv <tv>
- fix error message

* Thu Sep 20 2018 umeabot <umeabot> 4.4-23.2.mga7
+ Revision: 1279387
- Mageia 7 Mass Rebuild
+ tv <tv>
- fix deps: Requires(pre) -> Requires(post)

* Sat Jun 16 2018 wally <wally> 4.4-23.mga7
+ Revision: 1237263
- drop unneeded pre-req for sed

* Sun Jun 03 2018 pterjan <pterjan> 4.4-22.mga7
+ Revision: 1233788
- Use mknodat, there is no mknod on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 19 2016 umeabot <umeabot> 4.4-21.mga6
+ Revision: 969332
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 4.4-20.mga6
+ Revision: 867806
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 4.4-19.mga5
+ Revision: 744354
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.4-18.mga5
+ Revision: 682139
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.4-17.mga4
+ Revision: 522026
- Mageia 4 Mass Rebuild

* Wed Feb 06 2013 pterjan <pterjan> 4.4-16.mga3
+ Revision: 394894
- Fix post syntax

* Wed Feb 06 2013 pterjan <pterjan> 4.4-15.mga3
+ Revision: 394833
- Do not do anything in post if /dev is devtmpfs

* Sun Jan 13 2013 tv <tv> 4.4-14.mga3
+ Revision: 378420
- fix upgrading (not "corrupting" devtmpfs)
- devfs is dead for nearly a decade

* Sat Jan 12 2013 umeabot <umeabot> 4.4-13.mga3
+ Revision: 359328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 wally <wally> 4.4-12.mga1
+ Revision: 18886
- fix license and description
- remove old provides, obsoletes and triggerpostun
- clean .spec a bit
- imported package makedev


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 4.4-11mdv2011.0
+ Revision: 606623
- rebuild

* Mon Apr 12 2010 Olivier Blin <oblin@mandriva.com> 4.4-10mdv2010.1
+ Revision: 533657
- do not overwrite /dev when recent udev is used
  (add /dev/.udev/ to the checklist)
- remove bashishms in scriptlets

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 4.4-9mdv2010.1
+ Revision: 520156
- rebuilt for 2010.1

* Tue Sep 22 2009 Thierry Vignaud <tv@mandriva.org> 4.4-8mdv2010.0
+ Revision: 447245
- silent pam_console_apply (#53423)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.4-7mdv2010.0
+ Revision: 426069
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 4.4-6mdv2009.1
+ Revision: 351551
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 4.4-5mdv2009.0
+ Revision: 223145
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 4.4-4mdv2008.1
+ Revision: 152896
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 16 2007 Thierry Vignaud <tv@mandriva.org> 4.4-2mdv2008.0
+ Revision: 87620
- s/Mandrake/Mandriva/


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4-2mdv2007.0
+ Revision: 119964
- Import makedev

* Fri Feb 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.4-1mdk
- add cloop, DVB nodes
- enable extra makedev parameter to be regexp
- document extra makedev parameter that was aadded in 4.2-1mdk

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.3-1mdk
- fix update with newer udev

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.2-1mdk
- enable to create only one device rather than all devices

* Mon Oct 04 2004 Luca Berra <bluca@vodka.it> 4.1-2mdk 
- handle case where /dev is a tmpfs managed by udev

